Subject: bug#64725: 30.0.50; set-face-foreground shows background colors

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Jul 2023 15:44:10 +0300

> From: Helmut Eller <[email-masked]>
> Date: Wed, 19 Jul 2023 09:09:11 +0200
> 
> When I try to set the foreground color of a face, e.g. with:
> 
>   M-x set-face-foreground RET font-lock-string-face RET
> 
> and then press TAB to see the available colors, then Emacs displays the
> list of colors as background with text in the default foreground.
> 
> It would be more useful to see the text with the candidate color as
> foreground on the default background.

Why not use the actual foreground of the face being customized?  Then
the user could see whether the background color being selected will
have good contrast (or just look well) with the face's foreground.